<?php

IF (POST('ok')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $subsection2 = INTVAL(POST('subsection'));
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `FORUM_THEM` WHERE `MESSAGE` = '".$message."' AND `SUB_SECTION_ID` = '".$subsection2."' LIMIT 1") == 1){
    
    ERROR('Тема с таким содержимым уже существует в данном подразделе', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=forum&section=subsection_themes&id='.$subsection['ID'].'&them=add');
    
  }
  
  $ID = DB::GET_ADD("INSERT INTO `FORUM_THEM` (`NAME`, `USER_ID`, `SUB_SECTION_ID`, `MESSAGE`, `TIME`) VALUES ('".$name."', '".$user['ID']."', '".$subsection2."', '".$message."', '".TIME()."')");
  
  DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$ID."', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `FORUM` = '1'");
  
  //Начисление баллов
  BALLS_ADD('FORUM');
  
  //Начисление рейтинга
  RATING_ADD('FORUM');
  
  /*
  ------------------------------
  Отправляем подписчикам в ленту
  ------------------------------
  */
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `SUBSCRIBERS` WHERE `USER_ID` = '".$user['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
    DB::GET_ADD("INSERT INTO `TAPE` (`USER_ID`, `OBJECT_ID`, `OBJECT_ID_LIST`, `TIME`, `TYPE`) VALUES ('".$list['MY_ID']."', '".$ID."', '".$list['USER_ID']."', '".TIME()."', 'forum')");
  
  }
  
  /*--------------------------*/
  
  SUCCESS('Тема успешно создана', 'session');
  REDIRECT('/modules/?path=forum&section=subsection_themes&id='.$subsection['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."&them=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

ECHO "<br /><b>".LG('Добавить').":</b>";

//Прикрепление файлов
REQUIRE (ROOT.'/modules/forum/plugins/files.php');

ECHO "<br />";

ECHO "<b>".LG('Подраздел').":</b><br /><select name='subsection' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `FORUM_SUB_SECTION` ORDER BY `ID` DESC");

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."' ".($subsection['ID'] == $list['ID'] ?" selected='selected'":NULL).">".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br /><br />";

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать тему');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($subsection['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>